﻿using System;
using System.Windows.Data;

namespace BC3Technologies.Common.Mobile.Converters
{
    public class BoolToCollapsedConverter : IValueConverter
    {
        private readonly BoolToVisibleConverter _visibleConverter = new BoolToVisibleConverter();

        #region IValueConverter Members
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return _visibleConverter.Convert(!System.Convert.ToBoolean(value), targetType, parameter, culture);
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return !(bool)_visibleConverter.ConvertBack(value, targetType, parameter, culture);
        }
        #endregion
    }
}
