﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace BC3Technologies.Common.Mobile.Converters
{
	public class TimespanStringValueConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			var ts = (TimeSpan)value;

			if (ts.TotalSeconds == 0)
			{
				return string.Empty;
			}

			if (parameter != null)
			{
				return !string.IsNullOrWhiteSpace(parameter.ToString()) ? ts.ToString(parameter.ToString()) : value.ToString();
			}

			return ts.ToString();
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
