﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace BC3Technologies.Common.Mobile.Converters
{
	public class FormatStringValueConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
			if (value == null)
				return string.Empty;
			if (parameter == null)
				return value;
			return !string.IsNullOrWhiteSpace(parameter.ToString()) ? string.Format(culture, parameter.ToString(), value) : value.ToString();
		}

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
